Get all job planning
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_planning| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key to jobs id. |
globally unique identifier | |
| user_id |
Foreign key to user id. |
globally unique identifier | |
| date_from |
Job planning date from |
date | |
| date_to |
Job planning date to |
date | |
| sys_logical_delete |
Logical Delete. If true, means that row has been flagged deleted and will be physically deleted in the next months |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "d4479f1a-9e36-44ce-b88d-f38f643a4b5c",
"jobs_id": "722cead4-2b8f-431a-aa6c-fc1ff68d2cd8",
"user_id": "71e63aa0-b9ca-42a1-86d5-b2aed0ed3495",
"date_from": "2026-11-08T11:12:36.0997229+00:00",
"date_to": "2026-11-08T11:12:36.0997229+00:00",
"sys_logical_delete": true,
"modified_dateutc": "2026-11-08T11:12:36.0997229+00:00"
}